using ProjectPolyclinic.Repositories;
using ProjectPolyclinic.Repositories.Implementations;
using Unity;
using Unity.Lifetime;
namespace ProjectPolyclinic
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            ApplicationConfiguration.Initialize();
            Application.Run(CreateContainer().Resolve <FormPolyclinic>());
        }
        private static IUnityContainer CreateContainer()
        {
            var container = new UnityContainer();
            container.RegisterType<IPatientRepository, PatientRepository>(new TransientLifetimeManager());
            container.RegisterType<IVisitingRepository, VisitingRepository>(new TransientLifetimeManager());
            container.RegisterType<IMedicationRepository, MedicationRepository>(new TransientLifetimeManager());
            container.RegisterType<IProfessionalDevelopmentRepository, ProfessionalDevelopmentRepository>(new TransientLifetimeManager());
            container.RegisterType<IDoctorRepository, DoctorRepository>(new TransientLifetimeManager());
            return container;
        }
    }
}